generatorOptions:
  disableNameSuffixHash: true
configMapGenerator:
- name: prod-archmeister-appsettings
  files:
  - appsettings.json
secretGenerator:
- name: prod-archmeister-env
  envs:
  - default.env
patches:
- path: deployment_patch.yaml
  target:
    version: v1
    group: apps
    kind: Deployment
- path: ingress_patch.yaml
  target:
    group: networking.k8s.io
    kind: Ingress
    name: prod-archmeister-internal
    annotationSelector: oceanbox.io/expose=internal
    version: v1
resources:
- ../base
